import { QueryMap, BindingOptions, SubscriptionMap, QueryOrMutation } from './types';
import { ExecutionResult } from 'graphql';
import { Delegate } from './Delegate';
export declare class Binding extends Delegate {
    subscription: SubscriptionMap;
    types: any;
    query: any;
    mutation: any;
    currentInstructions: any[];
    constructor({schema, fragmentReplacements, before}: BindingOptions);
    buildQueryMethods(operation: QueryOrMutation): QueryMap;
    buildSubscriptionMethods(): SubscriptionMap;
    processInstructions: () => Promise<ExecutionResult & any[]>;
    then: (resolve: any, reject: any) => Promise<void>;
    catch: (reject: any) => Promise<void>;
    generateSelections(instructions: any): {
        ast: any;
        variables: {};
    };
    buildMethods(): void;
    getTypeName(type: any): string;
    getDeepType(type: any): any;
}
